<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:flowable="http://flowable.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.flowable.org/processdef" exporter="Flowable Open Source Modeler" exporterVersion="6.7.2">
  <process id="Pickingout_Audit" name="Pickingout_Audit" isExecutable="true">
    <startEvent id="sid-AF0C07B0-EE63-4D99-9123-E75852EF44EC" name="starter" flowable:formFieldValidation="true"></startEvent>
    <userTask id="startOutbound" name="发起人" flowable:assignee="${userId}" flowable:formKey="outbound/addOutbound" flowable:formFieldValidation="true">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-990AEF08-82BB-43A3-9CD6-23D24ECC426F" sourceRef="sid-AF0C07B0-EE63-4D99-9123-E75852EF44EC" targetRef="startOutbound"></sequenceFlow>
    <userTask id="sid-8A2E9C93-B956-4859-ACC6-025536C2E99B" name="第一审批人" flowable:assignee="${deptmanager}" flowable:formKey="outbound/deptmanager" flowable:formFieldValidation="true">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-97C9104C-E5AD-41A7-8F48-05D590068D57" sourceRef="startOutbound" targetRef="sid-8A2E9C93-B956-4859-ACC6-025536C2E99B"></sequenceFlow>
    <exclusiveGateway id="sid-C2D22A57-5103-4D7C-9627-43DE4FDD6745"></exclusiveGateway>
    <userTask id="sid-D02C9EC6-AD7B-457F-AF09-1023D5716865" name="第二审批人" flowable:assignee="${managerName}" flowable:formKey="outbound/managerName" flowable:formFieldValidation="true">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-3794A270-1EFB-40A3-BCE2-C115F4929DDC"></exclusiveGateway>
    <sequenceFlow id="sid-A12AE79F-7595-4400-9497-231DBD4FD5E3" sourceRef="sid-D02C9EC6-AD7B-457F-AF09-1023D5716865" targetRef="sid-3794A270-1EFB-40A3-BCE2-C115F4929DDC"></sequenceFlow>
    <userTask id="sid-721860C9-1347-4F96-91DC-2F219BFD3E62" name="第三审批人" flowable:assignee="${crossDeptManager}" flowable:formKey="outbound/crossDeptManager" flowable:formFieldValidation="true">
      <extensionElements>
        <flowable:taskListener event="complete" class="com.zbf.system.listener.MyTaskListener"/>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-2DF91A82-62B7-4C05-A471-D6D997DC6B7B"></exclusiveGateway>
    <sequenceFlow id="sid-CCC407FF-5F24-4EB6-B90B-B750B132C8A9" sourceRef="sid-721860C9-1347-4F96-91DC-2F219BFD3E62" targetRef="sid-2DF91A82-62B7-4C05-A471-D6D997DC6B7B"></sequenceFlow>
    <endEvent id="sid-A12B2B4E-8627-48C2-ACA8-8ED3599AEE44" name="结束"></endEvent>
    <sequenceFlow id="sid-483CC3E7-51DA-4EEF-A838-D872CF626F27" sourceRef="sid-8A2E9C93-B956-4859-ACC6-025536C2E99B" targetRef="sid-C2D22A57-5103-4D7C-9627-43DE4FDD6745"></sequenceFlow>
    <sequenceFlow id="sid-590EB096-D139-4F5F-BCF4-28E5E4DC309A" name="同意" sourceRef="sid-C2D22A57-5103-4D7C-9627-43DE4FDD6745" targetRef="sid-D02C9EC6-AD7B-457F-AF09-1023D5716865">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${approve == 'true'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-BD8C9EE2-23AB-4179-AF8A-071510DB29AA" name="驳回" sourceRef="sid-C2D22A57-5103-4D7C-9627-43DE4FDD6745"  targetRef="startOutbound">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${approve == 'false'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-D0F40019-5ACB-4F12-9B48-406995AB767C" name="驳回" sourceRef="sid-3794A270-1EFB-40A3-BCE2-C115F4929DDC" targetRef="sid-8A2E9C93-B956-4859-ACC6-025536C2E99B">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${agree == 'false'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-FE63498E-6C57-4025-B298-683460DD7A2B" name="同意" sourceRef="sid-3794A270-1EFB-40A3-BCE2-C115F4929DDC" targetRef="sid-721860C9-1347-4F96-91DC-2F219BFD3E62">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${agree == 'true'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-9CBE6ED3-D29F-4097-BF8A-DE13B27524C3" name="同意" sourceRef="sid-2DF91A82-62B7-4C05-A471-D6D997DC6B7B" targetRef="sid-A12B2B4E-8627-48C2-ACA8-8ED3599AEE44">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${crossAgree == 'true'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-4C1BC566-10B4-4538-9AFF-1A4FB9E7BBB9" name="驳回" sourceRef="sid-2DF91A82-62B7-4C05-A471-D6D997DC6B7B" targetRef="sid-D02C9EC6-AD7B-457F-AF09-1023D5716865">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${crossAgree == 'false'}]]></conditionExpression>
    </sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_Pickingout_Audit">
    <bpmndi:BPMNPlane bpmnElement="Pickingout_Audit" id="BPMNPlane_Pickingout_Audit">
      <bpmndi:BPMNShape bpmnElement="sid-AF0C07B0-EE63-4D99-9123-E75852EF44EC" id="BPMNShape_sid-AF0C07B0-EE63-4D99-9123-E75852EF44EC">
        <omgdc:Bounds height="30.0" width="30.0" x="89.9999986588955" y="294.9999915808441"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="startOutbound" id="BPMNShape_startOutbound">
        <omgdc:Bounds height="80.0" width="99.99999999999997" x="194.99999418854728" y="269.9999879300598"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-8A2E9C93-B956-4859-ACC6-025536C2E99B" id="BPMNShape_sid-8A2E9C93-B956-4859-ACC6-025536C2E99B">
        <omgdc:Bounds height="80.0" width="100.0" x="344.99999485909944" y="269.9999879300598"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-C2D22A57-5103-4D7C-9627-43DE4FDD6745" id="BPMNShape_sid-C2D22A57-5103-4D7C-9627-43DE4FDD6745">
        <omgdc:Bounds height="40.0" width="40.0" x="479.99999284744274" y="289.99998763203655"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-D02C9EC6-AD7B-457F-AF09-1023D5716865" id="BPMNShape_sid-D02C9EC6-AD7B-457F-AF09-1023D5716865">
        <omgdc:Bounds height="80.0" width="100.0" x="584.9999825656417" y="269.9999792873868"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-3794A270-1EFB-40A3-BCE2-C115F4929DDC" id="BPMNShape_sid-3794A270-1EFB-40A3-BCE2-C115F4929DDC">
        <omgdc:Bounds height="40.0" width="40.0" x="744.9999799579386" y="289.9999916553499"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-721860C9-1347-4F96-91DC-2F219BFD3E62" id="BPMNShape_sid-721860C9-1347-4F96-91DC-2F219BFD3E62">
        <omgdc:Bounds height="80.0" width="100.0" x="824.9999877065422" y="269.9999919533731"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-2DF91A82-62B7-4C05-A471-D6D997DC6B7B" id="BPMNShape_sid-2DF91A82-62B7-4C05-A471-D6D997DC6B7B">
        <omgdc:Bounds height="40.0" width="40.0" x="974.9999854713681" y="289.99998331070003"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-A12B2B4E-8627-48C2-ACA8-8ED3599AEE44" id="BPMNShape_sid-A12B2B4E-8627-48C2-ACA8-8ED3599AEE44">
        <omgdc:Bounds height="28.0" width="28.0" x="1064.9999841302636" y="295.99999156594293"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="sid-990AEF08-82BB-43A3-9CD6-23D24ECC426F" id="BPMNEdge_sid-990AEF08-82BB-43A3-9CD6-23D24ECC426F" flowable:sourceDockerX="15.0" flowable:sourceDockerY="15.0" flowable:targetDockerX="49.999999999999986" flowable:targetDockerY="40.0">
        <omgdi:waypoint x="119.94999772662632" y="309.9999911896886"></omgdi:waypoint>
        <omgdi:waypoint x="194.9999934495712" y="309.9999892326075"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-D0F40019-5ACB-4F12-9B48-406995AB767C" id="BPMNEdge_sid-D0F40019-5ACB-4F12-9B48-406995AB767C" flowable:sourceDockerX="20.5" flowable:sourceDockerY="20.5" flowable:targetDockerX="50.0" flowable:targetDockerY="1.0">
        <omgdi:waypoint x="765.4999799579386" y="290.4999916553499"></omgdi:waypoint>
        <omgdi:waypoint x="765.4999799579386" y="222.99999929964542"></omgdi:waypoint>
        <omgdi:waypoint x="394.99999485909944" y="222.99999929964542"></omgdi:waypoint>
        <omgdi:waypoint x="394.99999485909944" y="269.9999879300598"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-A12AE79F-7595-4400-9497-231DBD4FD5E3" id="BPMNEdge_sid-A12AE79F-7595-4400-9497-231DBD4FD5E3" flowable:sourceDockerX="50.0" flowable:sourceDockerY="40.0" flowable:targetDockerX="20.5" flowable:targetDockerY="20.5">
        <omgdi:waypoint x="684.949982565635" y="310.19136333550045"></omgdi:waypoint>
        <omgdi:waypoint x="745.4230549693905" y="310.42306666680173"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-97C9104C-E5AD-41A7-8F48-05D590068D57" id="BPMNEdge_sid-97C9104C-E5AD-41A7-8F48-05D590068D57" flowable:sourceDockerX="49.999999999999986" flowable:sourceDockerY="40.0" flowable:targetDockerX="50.0" flowable:targetDockerY="40.0">
        <omgdi:waypoint x="294.9499941885473" y="309.9999879300598"></omgdi:waypoint>
        <omgdi:waypoint x="344.9999948590092" y="309.9999879300598"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-4C1BC566-10B4-4538-9AFF-1A4FB9E7BBB9" id="BPMNEdge_sid-4C1BC566-10B4-4538-9AFF-1A4FB9E7BBB9" flowable:sourceDockerX="20.5" flowable:sourceDockerY="20.5" flowable:targetDockerX="50.0" flowable:targetDockerY="79.0">
        <omgdi:waypoint x="995.4999854713681" y="329.4380800451149"></omgdi:waypoint>
        <omgdi:waypoint x="995.4999854713681" y="389.9999883025888"></omgdi:waypoint>
        <omgdi:waypoint x="634.9999825656417" y="389.9999883025888"></omgdi:waypoint>
        <omgdi:waypoint x="634.9999825656417" y="349.9499792873868"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-CCC407FF-5F24-4EB6-B90B-B750B132C8A9" id="BPMNEdge_sid-CCC407FF-5F24-4EB6-B90B-B750B132C8A9" flowable:sourceDockerX="50.0" flowable:sourceDockerY="40.0" flowable:targetDockerX="20.5" flowable:targetDockerY="20.5">
        <omgdi:waypoint x="924.9499877065317" y="310.2072497854207"></omgdi:waypoint>
        <omgdi:waypoint x="975.4166535829173" y="310.41665142226174"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-483CC3E7-51DA-4EEF-A838-D872CF626F27" id="BPMNEdge_sid-483CC3E7-51DA-4EEF-A838-D872CF626F27" flowable:sourceDockerX="50.0" flowable:sourceDockerY="40.0" flowable:targetDockerX="8.543877437852412" flowable:targetDockerY="25.000004693865606">
        <omgdi:waypoint x="444.9499948590979" y="312.6698604196743"></omgdi:waypoint>
        <omgdi:waypoint x="484.7998777691317" y="314.7998725537255"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-FE63498E-6C57-4025-B298-683460DD7A2B" id="BPMNEdge_sid-FE63498E-6C57-4025-B298-683460DD7A2B" flowable:sourceDockerX="20.5" flowable:sourceDockerY="20.5" flowable:targetDockerX="50.0" flowable:targetDockerY="40.0">
        <omgdi:waypoint x="784.5281421368744" y="310.41283575043025"></omgdi:waypoint>
        <omgdi:waypoint x="824.9999877065422" y="310.22807399306646"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-9CBE6ED3-D29F-4097-BF8A-DE13B27524C3" id="BPMNEdge_sid-9CBE6ED3-D29F-4097-BF8A-DE13B27524C3" flowable:sourceDockerX="20.5" flowable:sourceDockerY="20.5" flowable:targetDockerX="14.0" flowable:targetDockerY="14.0">
        <omgdi:waypoint x="1014.5526009088368" y="310.38552737866365"></omgdi:waypoint>
        <omgdi:waypoint x="1065.0002273275325" y="310.083521840528"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>
